
use strict;
use warnings;

use Module::Build 0.3601;


my %module_build_args = (
  'build_requires' => {
    'File::Find' => '0',
    'File::Temp' => '0',
    'Module::Build' => '0.3601',
    'Test::More' => '0.88'
  },
  'configure_requires' => {
    'Module::Build' => '0.3601'
  },
  'dist_abstract' => 'task to install dist-zilla and all its plugins',
  'dist_author' => [
    'Jerome Quelin'
  ],
  'dist_name' => 'Task-Dist-Zilla',
  'dist_version' => '1.111681',
  'license' => 'perl',
  'module_name' => 'Task::Dist::Zilla',
  'recommends' => {},
  'recursive_test_files' => 1,
  'requires' => {
    'Dist::Zilla' => '0',
    'Dist::Zilla::App::Command::configure_CSJEWELL' => '0',
    'Dist::Zilla::App::Command::cover' => '0',
    'Dist::Zilla::App::Command::debc' => '0',
    'Dist::Zilla::App::Command::debi' => '0',
    'Dist::Zilla::App::Command::debrelease' => '0',
    'Dist::Zilla::App::Command::debuild' => '0',
    'Dist::Zilla::App::Command::perltidy' => '0',
    'Dist::Zilla::App::Command::podpreview' => '0',
    'Dist::Zilla::App::Command::pot' => '0',
    'Dist::Zilla::App::Command::xtest' => '0',
    'Dist::Zilla::Plugin::ApacheTest' => '0',
    'Dist::Zilla::Plugin::ApocalypseTests' => '0',
    'Dist::Zilla::Plugin::AppendExternalData' => '0',
    'Dist::Zilla::Plugin::ArchiveRelease' => '0',
    'Dist::Zilla::Plugin::AssertOS' => '0',
    'Dist::Zilla::Plugin::Author::KENTNL::DistINI' => '0',
    'Dist::Zilla::Plugin::Authority' => '0',
    'Dist::Zilla::Plugin::AutoMetaResources' => '0',
    'Dist::Zilla::Plugin::AutoVersion::Relative' => '0',
    'Dist::Zilla::Plugin::BeJROCKWAY' => '0',
    'Dist::Zilla::Plugin::Bootstrap::lib' => '0',
    'Dist::Zilla::Plugin::Bugtracker' => '0',
    'Dist::Zilla::Plugin::BuildFile' => '0',
    'Dist::Zilla::Plugin::BumpVersionFromGit' => '0',
    'Dist::Zilla::Plugin::CPANChangesTests' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::AuthorTest' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::BeforeBuild' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::DotFileFix' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::FTPUploadToOwnSite' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::SubversionDist' => '0',
    'Dist::Zilla::Plugin::CSJEWELL::VersionGetter' => '0',
    'Dist::Zilla::Plugin::Catalyst' => '0',
    'Dist::Zilla::Plugin::Catalyst::New' => '0',
    'Dist::Zilla::Plugin::ChangelogFromGit' => '0',
    'Dist::Zilla::Plugin::CheckChangeLog' => '0',
    'Dist::Zilla::Plugin::CheckChangesHasContent' => '0',
    'Dist::Zilla::Plugin::CheckChangesTests' => '0',
    'Dist::Zilla::Plugin::CheckExtraTests' => '0',
    'Dist::Zilla::Plugin::CheckPrereqsIndexed' => '0',
    'Dist::Zilla::Plugin::CompileTests' => '0',
    'Dist::Zilla::Plugin::Conflicts' => '0',
    'Dist::Zilla::Plugin::ConsistentVersionTest' => '0',
    'Dist::Zilla::Plugin::CopyFilesFromBuild' => '0',
    'Dist::Zilla::Plugin::CopyMakefilePLFromBuild' => '0',
    'Dist::Zilla::Plugin::CopyReadmeFromBuild' => '0',
    'Dist::Zilla::Plugin::CopyTo' => '0',
    'Dist::Zilla::Plugin::CriticTests' => '0',
    'Dist::Zilla::Plugin::CustomLicense' => '0',
    'Dist::Zilla::Plugin::Deb::VersionFromChangelog' => '0',
    'Dist::Zilla::Plugin::DistManifestTests' => '0',
    'Dist::Zilla::Plugin::Doppelgaenger' => '0',
    'Dist::Zilla::Plugin::DualBuilders' => '0',
    'Dist::Zilla::Plugin::DualLife' => '0',
    'Dist::Zilla::Plugin::DynamicManifest' => '0',
    'Dist::Zilla::Plugin::EOLTests' => '0',
    'Dist::Zilla::Plugin::FatPacker' => '0',
    'Dist::Zilla::Plugin::FileKeywords' => '0',
    'Dist::Zilla::Plugin::FileKeywords::Standard' => '0',
    'Dist::Zilla::Plugin::FindDirByRegex' => '0',
    'Dist::Zilla::Plugin::GatherFromManifest' => '0',
    'Dist::Zilla::Plugin::Git' => '0',
    'Dist::Zilla::Plugin::Git::Check' => '0',
    'Dist::Zilla::Plugin::Git::Commit' => '0',
    'Dist::Zilla::Plugin::Git::CommitBuild' => '0',
    'Dist::Zilla::Plugin::Git::DescribeVersion' => '0',
    'Dist::Zilla::Plugin::Git::Init' => '0',
    'Dist::Zilla::Plugin::Git::NextVersion' => '0',
    'Dist::Zilla::Plugin::Git::Push' => '0',
    'Dist::Zilla::Plugin::Git::Tag' => '0',
    'Dist::Zilla::Plugin::Git::Tag::ForRelease' => '0',
    'Dist::Zilla::Plugin::GitFmtChanges' => '0',
    'Dist::Zilla::Plugin::GitHub' => '0',
    'Dist::Zilla::Plugin::GitHub::Create' => '0',
    'Dist::Zilla::Plugin::GitHub::Meta' => '0',
    'Dist::Zilla::Plugin::GitHub::Update' => '0',
    'Dist::Zilla::Plugin::GitObtain' => '0',
    'Dist::Zilla::Plugin::GitVersionCheckCJM' => '0',
    'Dist::Zilla::Plugin::GithubMeta' => '0',
    'Dist::Zilla::Plugin::HasVersionTests' => '0',
    'Dist::Zilla::Plugin::Homepage' => '0',
    'Dist::Zilla::Plugin::Inject' => '0',
    'Dist::Zilla::Plugin::InlineFilesMARCEL' => '0',
    'Dist::Zilla::Plugin::InstallGuide' => '0',
    'Dist::Zilla::Plugin::InstallRelease' => '0',
    'Dist::Zilla::Plugin::JSAN' => '0',
    'Dist::Zilla::Plugin::JSAN::Bundle' => '0',
    'Dist::Zilla::Plugin::JSAN::GatherDir::Template' => '0',
    'Dist::Zilla::Plugin::JSAN::GitHubDocs' => '0',
    'Dist::Zilla::Plugin::JSAN::InstallInstructions' => '0',
    'Dist::Zilla::Plugin::JSAN::Minter' => '0',
    'Dist::Zilla::Plugin::JSAN::NPM' => '0',
    'Dist::Zilla::Plugin::JSAN::NPM::Publish' => '0',
    'Dist::Zilla::Plugin::JSAN::PkgVersion' => '0',
    'Dist::Zilla::Plugin::JSAN::ReadmeFromMD' => '0',
    'Dist::Zilla::Plugin::JSAN::StaticDir' => '0',
    'Dist::Zilla::Plugin::KwaliteeTests' => '0',
    'Dist::Zilla::Plugin::LatestPrereqs' => '0',
    'Dist::Zilla::Plugin::LocaleMsgfmt' => '0',
    'Dist::Zilla::Plugin::MakeMaker::Awesome' => '0',
    'Dist::Zilla::Plugin::MakeMaker::SkipInstall' => '0',
    'Dist::Zilla::Plugin::MatchManifest' => '0',
    'Dist::Zilla::Plugin::Mercurial' => '0',
    'Dist::Zilla::Plugin::Mercurial::Check' => '0',
    'Dist::Zilla::Plugin::Mercurial::Push' => '0',
    'Dist::Zilla::Plugin::Mercurial::Tag' => '0',
    'Dist::Zilla::Plugin::MetaData::BuiltWith' => '0',
    'Dist::Zilla::Plugin::MetaData::BuiltWith::All' => '0',
    'Dist::Zilla::Plugin::MetaProvides' => '0',
    'Dist::Zilla::Plugin::MetaProvides::Class' => '0',
    'Dist::Zilla::Plugin::MetaProvides::FromFile' => '0',
    'Dist::Zilla::Plugin::MetaProvides::Package' => '0',
    'Dist::Zilla::Plugin::MetaResourcesFromGit' => '0',
    'Dist::Zilla::Plugin::Metadata' => '0',
    'Dist::Zilla::Plugin::MinimumPerl' => '0',
    'Dist::Zilla::Plugin::MinimumVersionTests' => '0',
    'Dist::Zilla::Plugin::ModuleBuild::Custom' => '0',
    'Dist::Zilla::Plugin::ModuleBuild::XSOrPP' => '0',
    'Dist::Zilla::Plugin::ModuleInstall' => '0',
    'Dist::Zilla::Plugin::NoAutomatedTesting' => '0',
    'Dist::Zilla::Plugin::NoSmartCommentsTests' => '0',
    'Dist::Zilla::Plugin::NoTabsTests' => '0',
    'Dist::Zilla::Plugin::OSPrereqs' => '0',
    'Dist::Zilla::Plugin::OurPkgVersion' => '0',
    'Dist::Zilla::Plugin::PerlTidy' => '0',
    'Dist::Zilla::Plugin::PickyPodWeaver' => '0',
    'Dist::Zilla::Plugin::PodLinkTests' => '0',
    'Dist::Zilla::Plugin::PodLoom' => '0',
    'Dist::Zilla::Plugin::PodPurler' => '0',
    'Dist::Zilla::Plugin::PodSpellingTests' => '0',
    'Dist::Zilla::Plugin::PodWeaver' => '0',
    'Dist::Zilla::Plugin::PortabilityTests' => '0',
    'Dist::Zilla::Plugin::Prepender' => '0',
    'Dist::Zilla::Plugin::ProgCriticTests' => '0',
    'Dist::Zilla::Plugin::PurePerlTests' => '0',
    'Dist::Zilla::Plugin::ReadmeAnyFromPod' => '0',
    'Dist::Zilla::Plugin::ReadmeFromPod' => '0',
    'Dist::Zilla::Plugin::ReadmeMarkdownFromPod' => '0',
    'Dist::Zilla::Plugin::ReportPhase' => '0',
    'Dist::Zilla::Plugin::ReportVersions' => '0',
    'Dist::Zilla::Plugin::ReportVersions::Tiny' => '0',
    'Dist::Zilla::Plugin::Repository' => '0',
    'Dist::Zilla::Plugin::RequiresExternal' => '0',
    'Dist::Zilla::Plugin::Rsync' => '0',
    'Dist::Zilla::Plugin::Run' => '0',
    'Dist::Zilla::Plugin::Run::AfterBuild' => '0',
    'Dist::Zilla::Plugin::Run::AfterRelease' => '0',
    'Dist::Zilla::Plugin::Run::BeforeBuild' => '0',
    'Dist::Zilla::Plugin::Run::BeforeRelease' => '0',
    'Dist::Zilla::Plugin::Run::Release' => '0',
    'Dist::Zilla::Plugin::Run::Role::Runner' => '0',
    'Dist::Zilla::Plugin::SVK' => '0',
    'Dist::Zilla::Plugin::SVK::Check' => '0',
    'Dist::Zilla::Plugin::SVK::Commit' => '0',
    'Dist::Zilla::Plugin::SVK::Push' => '0',
    'Dist::Zilla::Plugin::SVK::Tag' => '0',
    'Dist::Zilla::Plugin::Signature' => '0',
    'Dist::Zilla::Plugin::StaticVersion' => '0',
    'Dist::Zilla::Plugin::SubmittingPatches' => '0',
    'Dist::Zilla::Plugin::Subversion' => '0',
    'Dist::Zilla::Plugin::Subversion::ReleaseDist' => '0',
    'Dist::Zilla::Plugin::Subversion::Tag' => '0',
    'Dist::Zilla::Plugin::SurgicalPkgVersion' => '0',
    'Dist::Zilla::Plugin::SurgicalPodWeaver' => '0',
    'Dist::Zilla::Plugin::SvnObtain' => '0',
    'Dist::Zilla::Plugin::SynopsisTests' => '0',
    'Dist::Zilla::Plugin::TaskWeaver' => '0',
    'Dist::Zilla::Plugin::TemplateCJM' => '0',
    'Dist::Zilla::Plugin::TemplateFiles' => '0',
    'Dist::Zilla::Plugin::Twitter' => '0',
    'Dist::Zilla::Plugin::UnusedVarsTests' => '0',
    'Dist::Zilla::Plugin::UpdateGitHub' => '0',
    'Dist::Zilla::Plugin::VersionFromModule' => '0',
    'Dist::Zilla::Plugin::WSDL' => '0',
    'Dist::Zilla::PluginBundle::AJGB' => '0',
    'Dist::Zilla::PluginBundle::AVAR' => '0',
    'Dist::Zilla::PluginBundle::Author::DOHERTY' => '0',
    'Dist::Zilla::PluginBundle::Author::KENTNL' => '0',
    'Dist::Zilla::PluginBundle::Author::KENTNL::Lite' => '0',
    'Dist::Zilla::PluginBundle::Author::LESPEA' => '0',
    'Dist::Zilla::PluginBundle::Author::OLIVER' => '0',
    'Dist::Zilla::PluginBundle::BINGOS' => '0',
    'Dist::Zilla::PluginBundle::CEBJYRE' => '0',
    'Dist::Zilla::PluginBundle::CJM' => '0',
    'Dist::Zilla::PluginBundle::CSJEWELL' => '0',
    'Dist::Zilla::PluginBundle::DAGOLDEN' => '0',
    'Dist::Zilla::PluginBundle::DANIELP' => '0',
    'Dist::Zilla::PluginBundle::DOY' => '0',
    'Dist::Zilla::PluginBundle::FAYLAND' => '0',
    'Dist::Zilla::PluginBundle::FLORA' => '0',
    'Dist::Zilla::PluginBundle::GENEHACK' => '0',
    'Dist::Zilla::PluginBundle::GETTY' => '0',
    'Dist::Zilla::PluginBundle::Git' => '0',
    'Dist::Zilla::PluginBundle::GitHub' => '0',
    'Dist::Zilla::PluginBundle::GopherRepellent' => '0',
    'Dist::Zilla::PluginBundle::IDOPEREL' => '0',
    'Dist::Zilla::PluginBundle::JQUELIN' => '0',
    'Dist::Zilla::PluginBundle::JROCKWAY' => '0',
    'Dist::Zilla::PluginBundle::MARCEL' => '0',
    'Dist::Zilla::PluginBundle::MSCHOUT' => '0',
    'Dist::Zilla::PluginBundle::Mercurial' => '0',
    'Dist::Zilla::PluginBundle::NIGELM' => '0',
    'Dist::Zilla::PluginBundle::NUFFIN' => '0',
    'Dist::Zilla::PluginBundle::PDONELAN' => '0',
    'Dist::Zilla::PluginBundle::PadrePlugin' => '0',
    'Dist::Zilla::PluginBundle::RBO' => '0',
    'Dist::Zilla::PluginBundle::RBUELS' => '0',
    'Dist::Zilla::PluginBundle::RJBS' => '0',
    'Dist::Zilla::PluginBundle::ROKR' => '0',
    'Dist::Zilla::PluginBundle::ROKR::Basic' => '0',
    'Dist::Zilla::PluginBundle::RTHOMPSON' => '0',
    'Dist::Zilla::PluginBundle::Rakudo' => '0',
    'Dist::Zilla::PluginBundle::SVK' => '0',
    'Dist::Zilla::PluginBundle::TestingMania' => '0',
    'Dist::Zilla::PluginBundle::WOLVERIAN' => '0',
    'Dist::Zilla::PluginBundle::YANICK' => '0',
    'perl' => '5.008'
  },
  'script_files' => []
);


my $build = Module::Build->new(%module_build_args);

$build->create_build_script;
